Subject: bug#4589: 23.1; ERC reconnection -vs- /disconnect

From: Tom Tromey <[email-masked]>
Date: Tue, 29 Sep 2009 12:09:20 -0600

Please write in English if possible, because the Emacs maintainers
usually do not have translators to read other languages for them.

Your bug report will be posted to the [email-masked] mailing list,
and to the gnu.emacs.bug news group.

Please describe exactly what actions triggered the bug
and the precise symptoms of the bug:

One irc server I use went down and was unavailable.
ERC kept trying to reconnect to it -- which is nice, ordinarily I want
this.
However, in this case, I wanted to prevent ERC from trying to reconnect.

So, I went to the server buffer and typed /disconnect.
This did not work, instead ERC gave me an error message
(which I no longer have but the gist was that there was no connection).

I think /disconnect should work to prevent reconnection in this
situation.
Instead, the only solution I found was to kill the server buffer.

If Emacs crashed, and you have the Emacs process in the gdb debugger,
please include the output from the following gdb commands:
    `bt full' and `xbacktrace'.
If you would like to further debug the crash, please read the file
/usr/share/emacs/23.1/etc/DEBUG for instructions.

In GNU Emacs 23.1.1 (i386-redhat-linux-gnu, GTK+ Version 2.16.5)
 of 2009-08-26 on x86-2.fedora.phx.redhat.com
Windowing system distributor `The X.Org Foundation', version 11.0.10601901
configured using `configure  '--build=i386-redhat-linux-gnu' '--host=i386-redhat-linux-gnu' '--target=i586-redhat-linux-gnu' '--program-prefix=' '--prefix=/usr' '--exec-prefix=/usr' '--bindir=/usr/bin' '--sbindir=/usr/sbin' '--sysconfdir=/etc' '--datadir=/usr/share' '--includedir=/usr/include' '--libdir=/usr/lib' '--libexecdir=/usr/libexec' '--localstatedir=/var' '--sharedstatedir=/var/lib' '--mandir=/usr/share/man' '--infodir=/usr/share/info' '--with-dbus' '--with-gif' '--with-jpeg' '--with-png' '--with-rsvg' '--with-tiff' '--with-xft' '--with-xpm' '--with-x-toolkit=gtk' 'build_alias=i386-redhat-linux-gnu' 'host_alias=i386-redhat-linux-gnu' 'target_alias=i586-redhat-linux-gnu' 'CFLAGS=-DMAIL_USE_LOCKF -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m32 -march=i586 -mtune=generic -fasynchronous-unwind-tables''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: en_US.UTF-8
  value of $XMODIFIERS: nil
  locale-coding-system: utf-8-unix
  default-enable-multibyte-characters: t

Major mode: Group

Minor modes in effect:
  erc-list-mode: t
  erc-menu-mode: t
  erc-autojoin-mode: t
  erc-ring-mode: t
  erc-pcomplete-mode: t
  erc-track-mode: t
  erc-track-minor-mode: t
  erc-match-mode: t
  erc-button-mode: t
  erc-fill-mode: t
  erc-stamp-mode: t
  erc-netsplit-mode: t
  erc-spelling-mode: t
  erc-truncate-mode: t
  shell-dirtrack-mode: t
  diff-auto-refine-mode: t
  gnus-undo-mode: t
  erc-status-mode: t
  erc-services-mode: t
  erc-networks-mode: t
  erc-irccontrols-mode: t
  erc-noncommands-mode: t
  erc-move-to-prompt-mode: t
  erc-readonly-mode: t
  tooltip-mode: t
  mouse-wheel-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  global-auto-composition-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
j M-/ <backspace> e c t - g e t M-b <backspace> _ C-e 
M-/ ) , SPC a s SPC t h a t SPC i s SPC m o r e SPC 
c o n s i s t e n t SPC w i t h SPC o u r SPC g e n 
e r a l SPC <M-backspace> <M-backspace> o u r SPC c 
u r r e n t SPC A P I SPC d e c i s i o n s . <return> 
<return> F i n a l l y , SPC C-z o C-x C-f <M-backspace> 
d o c / g d b . t <tab> <return> C-s I n f e r i o 
r T h r e a d C-s C-a C-l C-v C-l C-z o t h i s SPC 
p a t c h SPC n e e d s SPC a n SPC u p d a t e SPC 
t o SPC g d b <M-backspace> d o c / g d b . t e x i 
n f o . <return> W e ' r e SPC C-a C-k I ' m SPC t 
r y i n g SPC t o SPC s C-a C-k C-k C-f C-o t h a n 
k s , C-a C-z o C-x k <return> C-x k <return> C-z o 
C-c C-c E C-z o <f10> <f10> <f10> <f10> M-v M-> d i 
s t r o s SPC a l C-a C-k <f10> <f10> <f10> <switch-frame> 
<switch-frame> C-z n E = C-l M-v M-v M-v C-z o C-z 
o C-l C-z o <f10> C-c b C-z o q s M-x r e p o r t - 
e <tab> <return> b <tab> <return>

Recent messages:
Deleting article 4574 in mail.frysk
Deleting article 4576 in mail.frysk
Deleting article 4578 in mail.frysk
Expiring articles...done
(No changes need to be saved)
Saving /home/tromey/.newsrc.eld...
Saving file /home/tromey/.newsrc.eld...
Wrote /home/tromey/.newsrc.eld
Saving /home/tromey/.newsrc.eld...done
Making completion list...

Tom